import { jsx } from "react/jsx-runtime";
import { TokenOM as TokenOM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OM", "data-name": "TokenOM", ...props, children: /* @__PURE__ */ jsx(TokenOM$1, { variant }) });
  }
);
TokenOM.displayName = "TokenOM";
Object.assign(TokenOM, { isGdsIcon: true });
export {
  TokenOM
};
